/*                                                  */
/* Script to install VP/2 with Open32 compatibility */
/*                                                  */

call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs

call SysCls
say
say "This process will create an installation of VP/2 v1.99 with VCL"
say "compatibility.  DO NOT RUN THIS FROM YOUR WORKING VP/2 v1.10"
say "DIRECTORY - files will be overwritten if you do."
say

do until file.0 = 1
  if file.0 = 0 then
    do
      say "The VP/2 CD-ROM could not be found in the specified drive."
      say
    end

  say "Please insert the VP/2 CD-ROM into a CD-ROM drive and type"
  say "the drive letter followed by Enter:"

  pull CDDrive
  if RIGHT(CDDrive,1) \= ':' then
    CDDrive = CDDrive':'
  call SysFileTree CDDrive'\runimage\bin\vp.str', 'file', 'F'
end

say
say "Creating subdirectories"
call SysMkDir 'bin.os2'
call SysMkDir 'out.os2'
call SysMkDir 'lib.os2'
call SysMkDir 'source'
call SysMkDir 'source\rtl'
call SysMkDir 'source\vcl'
call SysMkDir 'source\open32'
call SysMkDir 'examples'
call SysMkDir 'examples\testvcl'

say
say "Copying required files from CD-ROM"

files.0 = 10
files.1 = 'bin\implib.exe'            ;dest.1 = 'bin.os2'
files.2 = 'bin\lib.exe'               ;dest.2 = 'bin.os2'
files.3 = 'bin\touch.exe'             ;dest.3 = 'bin.os2'
files.4 = 'bin\vp.str'                ;dest.4 = 'bin.os2'
files.5 = 'bin\vp.vph'                ;dest.5 = 'bin.os2'
files.6 = 'bin\vpc.exe'               ;dest.6 = 'bin.os2'
files.7 = 'source\rtl\os2base.pas'
files.8 = 'source\rtl\os2def.pas'
files.9 = 'source\rtl\os2pmapi.pas'
files.10 = 'lib\os2.lib'              ;dest.10= 'lib.os2'
call copyfiles CDDrive'\runimage\'

files.0 = 1
files.1 = 'upd2.exe';  drop dest.1
call copyfiles CDDrive'\'

say "Updating files to v1.99"

CDDrive'\upd2.exe vp199.upd'

say
say "Creating desktop icon"

Dir = DIRECTORY()
call SysCreateObject "WPProgram", "VP/PM v1.99", "<WP_DESKTOP>",,
     "EXENAME="Dir"\BIN.OS2\VPPM.EXE;STARTUPDIR="Dir";PARAMETERS=/CBIN.OS2\DEFAULT.CFG;ICONFILE=VPVCL.ICO" ,"R"

say
say "The first stage of the update process is complete."
say
say "Please add "Dir"\BIN.OS2 to the LIBPATH of your CONFIG.SYS file"
say "before running this version of VP/2."
say
say "To update the VCL source code, please run either VCL200.CMD or "
say "VCL201.CMD; the last three letters should match the version of "
say "Borland Delphi you have available."
say

signal end

copyfiles: procedure expose files. dest.
arg source
do i = 1 to files.0
  if dest.i \= "DEST."i then
    '@copy 'source||files.i dest.i' >nul'
  else
    '@copy 'source||files.i files.i' >nul'
end
return

end:
